LINUX.ORG.RU

Songbird прекращает полноценную поддержку Linux

 , ,


0

0

Джорджи Аубергер (Georges Auberger) опубликовал в блоге проекта информацию о том, что разработка songbird для linux будет заморожена. Решение объясняется сложностями с одновременной поддержкой большого числа медиаформатов и устройств силами небольшой команды разработчиков. С этого момента разработчики будут сфокусированы на улучшенной поддержке Windows 7 и расширенного списка мобильных устройств.
Однако, по заверениям Джорджи, выход билдов Songbird под Linux будет продолжен, но без должного тестирования и скорей всего, не будет включать новых возможностей
Сообщение в блоге

>>> Сайт Songbird



Проверено: mono ()

Ответ на: комментарий от Reset

>> Про ABI ядра Linux скажу одно - учи матчасть. Пока понимания не вижу.

А тут учить и понимать ничего и не надо, и так всё ясно становится когда перестают собираться драйвера nvidia, ati, vmware ...

Юзаешь ынтерпрайз-софт - юзай ынтерпрайз-дистр, в котором замшелое, но постоянное, ядро. Меняешь ядра - тебя и стабильный API не спасет.

tailgunner ★★★★★ ()
Ответ на: комментарий от WindowsXP

>Видно надо постоянно тянуть из заказчика деньги на постоянное совершенствование продукта под каждую новую версию любой зависимости проекта.

Нет не надо. Мне надо экономить деньги компании бизнес которой построен на IT разработках. И я знаю на чем они эколномятся а на чем нет.

r ★★★★★ ()
Ответ на: комментарий от WindowsXP

>ну видно у вас судьба играть в догонялки

Нет - у меня судьба такая что все up-to-date.

r ★★★★★ ()
Ответ на: комментарий от wfrr

Дык 4я версия и это когда было? А совместимость между 4й веткой отличная. Можно хоть сейчас взять прогу под qt 4.0 и запустить на 4.6, всё будет работать без перекомпиляции, в венде точно, в лялехе конечно же скорее всего не заработает по понятным причинам.

Reset ★★★★★ ()
Ответ на: комментарий от Reset

Почему же, теперь он требует двухядерного проца и видяху с 3d, при том что ниодну видяху с 3d он не поддерживает.

wfrr ★★☆ ()
Ответ на: комментарий от wfrr

>Таки опишите способ поиска установленной в произвольное место библиотеки, а мы поржом.

Я понимаю что поиск установленной библиотеки под вендой прикладная задача которую решают все. В остальных нормальных системах с пакетными системами ничего искать не надо - надо прописать зависимость в собранный пакет и установщик сам все найдет. А вы дальше ищите в реестре дллки.


r ★★★★★ ()
Ответ на: комментарий от Reset

>Это только начало. Линух не оправдал себя. За 20 лет «развития» практически ничего не изменилось.

Инновационные достижения венды в свою очередь - потрясают.

r ★★★★★ ()
Ответ на: комментарий от wfrr

> Если бы апи не ломалось то их пересобирать не потребовалось бы. Классический пример Windows.

Берем диск, поставляемый с устройством. Что мы видим? Версии windows 95, 98, 2000, XP, vista/7. Ну так что, там ABI или API стабильно? Классический пример?

Вы, господа, крепко путаете ABI, которое доступно через системные вызовы и ABI драйверов, которые как никак является частью этого самого ядра.

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от r

Типичный подход линуксятника декларирующего свободу - либо вы отдаете нам душу и под каждый наш поломанный api совокупляетесь со сборкой пакетов под каждый дистр, либо вы «ненужен». Бугага, фанатики, будьте проще, тогда разработчики к вам потянутся.

wfrr ★★☆ ()
Ответ на: комментарий от I-Love-Microsoft

Вам порабы знать что в xp и xpsp3 ядро разное, а вот дровишки одни, потмоу производители железа спокойны. А вот для линукса надо на диск положить драйвера для «всех минорных версий ядра»*«всех дистрибутивов»*«всех архитектур» как итог ваш линукс никому ненужен из-за такого секаса с ежиками.

wfrr ★★☆ ()
Ответ на: комментарий от wfrr

>Бугага, фанатики, будьте проще, тогда разработчики к вам потянутся.

С требованиями фара, винрара и реестра, чтобы искать в нем установленные библиотеки? Спасибо - оставьте их себе.

r ★★★★★ ()
Ответ на: комментарий от r

> Я конечно понимаю что вы с линуксом знакомы только по слухам

rpm -qa | grep java

Я аж подавился - это что - все что ваш замечательный дистрибутив поставил по умолчанию ???? какой зоопарк... мнде... И все нужны ? :)

который ставил убунту на поиграться 5ть лет назад - но нельзя ж настолько....

Да и судя по всему вы оринтируетесь на свой засраный десктоп, и не знаете что во многих системах ПО УМОЛЧАНИЮ будет запускатся gnu-java

WindowsXP ★★ ()
Ответ на: комментарий от WindowsXP

>Я аж подавился - это что - все что ваш замечательный дистрибутив поставил по умолчанию ???? какой зоопарк... мнде... И все нужны ? :)

Я этот список обрезал - мне они нужны как разработчику, и поставил их я. Я «линукс по умолчанию» не устанавливал с 97 года.

Да и судя по всему вы оринтируетесь на свой засраный десктоп, и не знаете что во многих системах ПО УМОЛЧАНИЮ будет запускатся gnu-java


Это вы судя по всему не потрудились проапгрейдить свои знания -проконсультируйтесь с друзьями которые хотя бы видели недавно линукс, и не знаете что _по умолчанию_ будет запускаться то что установлено, а установлено то что выбрано, а если уж совсем по умолчанию нто это будет openjdk.

А что по этому поводу в венде запустится? jview в доисторических системах? А в исторических оно вообще скажет «че?» и за жабой надо будет самостоятельно лезть?

r ★★★★★ ()
Ответ на: комментарий от r

> Я этот список обрезал - мне они нужны как разработчику, и поставил их я. Я «линукс по умолчанию» не устанавливал с 97 года.

Суровый разработчик с 15 летним стажем - знаем знаем

а если уж совсем по умолчанию нто это будет openjdk.

кроме вашего дистрибудтива их еще много разных есть

А что по этому поводу в венде запустится?

скачает 6 JRE само.

jview в доисторических системах? А в исторических оно вообще скажет «че?» и за жабой надо будет самостоятельно лезть?

а что запустится в Linuxe историческом ? а в доисторическом ?

Это вы судя по всему не потрудились проапгрейдить свои знания -проконсультируйтесь с друзьями которые хотя бы видели недавно линукс,

Есть разница - видили Линукс.. Или видели один дистрибутив - как вы.. с 1997 года...

WindowsXP ★★ ()
Ответ на: комментарий от WindowsXP

>кроме вашего дистрибудтива их еще много разных есть

Что не может не радовать. А сколько еще разных есть кроме ваших вендов?

скачает 6 JRE само.


Что скачает? Кто это «само»? Wise? InstallShield? MSI?

а что запустится в Linuxe историческом ? а в доисторическом ?


Скажи привет пакетной системе.

r ★★★★★ ()
Ответ на: комментарий от wfrr

> А вот для линукса надо на диск положить драйвера для «всех минорных версий ядра»*«всех дистрибутивов»*«всех архитектур» как итог ваш линукс никому ненужен из-за такого секаса с ежиками.

Ну что ж, это правда. Но только отчасти, потому что есть DKMS, которое сводит число версий драйверов к одной для всех дистрибутивов и архитектур. Не говори что не знаешь что такое DKMS и libdkms.

А теперь представь - есть возможность создания бинарных дров. Прозвоитель выпустит драйвер под x86, иногда под ARM. Я запускаю Linux на MIPS - что я буду делать с этими драйверами под x86???

I-Love-Microsoft ★★★★★ ()

Спорим, что из тех кто тут сейчас флудит сабж никто не юзал :3
Алсо, я чет не понял, белка уже на стороне вендузятников? Стыдно, товарищ белка, стыдно.

robert_foster ★★ ()
Ответ на: комментарий от wfrr

Кстати, пример - VirtualBox. Он требует драйвер для своей работы. При каждом обновлении ядра или даже дистрибутива (а ведь он был установлен для предыдущей версии дистрибутива) - отрабатывает DKMS и все продолжает работать как ни в чем ни бывало. Как ты это прокомментируешь?

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от r

> Что не может не радовать. А сколько еще разных есть кроме ваших вендов?

Зоопарк не нужен... Вы даже не знаете что и как в разных дистрибутивах

Что скачает?

Windows Installer

Скажи привет пакетной системе.

Это вы про *linux-i686.bin - что прям на любом доисторическом дистрибутиве встанет ?

WindowsXP ★★ ()
Ответ на: комментарий от I-Love-Microsoft

Элементарно - там сорцы драйвера, уважаемый. Без исходников ядра оно дохнет. Да и при некоторых обновлениях оно тупо перестает работать, ибо даже самый хитрый разработчик виртуалбоксе не перехитрит лень разработчиков ведра.

wfrr ★★☆ ()
Ответ на: комментарий от I-Love-Microsoft

Ну что ж, это правда. Но только отчасти, потому что есть DKMS, которое сводит число версий драйверов к одной для всех дистрибутивов и архитектур.

По видимому вы сами не знаете что такое DKMS , так вот это не магия.

А теперь представь - есть возможность создания бинарных дров. Прозвоитель выпустит драйвер под x86, иногда под ARM. Я запускаю Linux на MIPS - что я буду делать с этими драйверами под x86???

Уважаемый, а что вы будете делать вообще без драйверов? Я тут недавно имел счастие совокупить рейд от сервака штеуд 5000 или чтото подобного, так вот ни админи, никто не смог завести драйвер, просто потому что он скомпилян для xen - ога, ога оказывается то что писал надо помножить на два.

wfrr ★★☆ ()
Ответ на: комментарий от robert_foster

По обоим пунктам вы ошиблись: я его юзал и я на особой стороне защитников животных.

wfrr ★★☆ ()
Ответ на: комментарий от tailgunner

> Меняешь ядра - тебя и стабильный API не спасет

Ну, нет. Вот эта конкретно часть, - совместимость API и ABI, - слабое место Линукса и, шире, всего ОпенСоурс. И Линукс (ядро + бинутилз, грубо говоря) ничем в этом отношении не лучше, но и не хуже остального GNU (и не GNU) окружения. Вот OpenSSL'щики разламывают _API_ каждые N релизов, то же самое касается команды GCC... Hу и нафиг в таких условиях быть святее папы римского, если *всю* систему периодически надо отправлять на пересборку, таков устав в этом монастыре...

С другой стороны, ОпенСоурс просто НЕ ПОТЯНЕТ серьёзную реализацию совместимости с предыдущими версиями. Почему? Потому что я видел, какими усилиями даётся обратная совместимость в таких коммерческих проектах, где этому придают значение. Это, без дураков, человеко-годы, если не человеко-века, потраченные на то, чтобы убедиться, что выход новой версии не побреет ни одного из пользователей старой. Кто и чем заплатит за это в случае ОпенСоурс, мне, чес-гря, непонятно... И даже несмотря на все такие потраченные усилия, Wine/Windows иногда оказывается единственным средством запуска программ, разработанных для предыдущей версии Windows. So why worry now?

AlexM ★★★★★ ()
Ответ на: комментарий от wfrr

> Элементарно - там сорцы драйвера, уважаемый. Без исходников ядра оно дохнет.

Спасибо, без вас знаем. Пора бы уже знать, что драйвер Linux можно собрать, имея лишь заголовочники. Поскольку они занимают очень мало места - они в наличии в очень многих дистрибутивах.

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от AlexM

С другой стороны, ОпенСоурс просто НЕ ПОТЯНЕТ серьёзную реализацию совместимости с предыдущими версиями. Почему? Потому что я видел, какими усилиями даётся обратная совместимость в таких коммерческих проектах, где этому придают значение. Это, без дураков, человеко-годы, если не человеко-века, потраченные на то, чтобы убедиться, что выход новой версии не побреет ни одного из пользователей старой.

Такие крайности как добавление баго в венде для популярной игры тоже неунжны, или как оставление багов в рантайме апплетов в яве, и прочие примеры. Речь хотябы о грамотно спроектированных интерфесах, которые бы оставались стабильны в течение долгого времени. А не так что любая минорная версия какогнить гумна требует пеерпейсать пол линакса.

wfrr ★★☆ ()

Баба з возу - кобилі легше

Они пополнили армию вендобыдлокодеров-неосиляторов. Ура!!!

Conficker ()
Ответ на: комментарий от I-Love-Microsoft

Пора бы уже знать, что драйвер Linux можно собрать, имея лишь заголовочники.

Бугага, надо сразу говорить «Да оставит одежду всяк сюда входящий, и одаст жопу на растерзание опенсурсу». Я уже пиал что в венде умудряются обходится без такого изврата.

wfrr ★★☆ ()
Ответ на: комментарий от AlexM

> Вот эта конкретно часть, - совместимость API и ABI, - слабое место Линукса

Я как бэ в курсе - драйверы пишу. Но именно поэтому я знаю, что совместимые по API изменения тоже могут ломать драйверы. Хотя, спора нет, стабильный API облегчил бы жизнь.

человеко-годы, если не человеко-века, потраченные на то, чтобы убедиться, что выход новой версии не побреет ни одного из пользователей старой. Кто и чем заплатит за это в случае ОпенСоурс, мне, чес-гря, непонятно...

Кто и какие профиты получит - тоже непонятно. Безумные скунсы всегда найдут, к чему до*баться.

tailgunner ★★★★★ ()
Ответ на: комментарий от WindowsXP

Да-да, а мужики-то не знают. Picasa, - последнее, что я ставил под Windows, - на Nullsoft'овом инсталлере.

Но речь не про то, какой из виндовых инсталлеров самый правильный, а про то, что во всех таких инсталлерах есть возможность реализовать подгрузку требуемых компонент из внешних источников, и некоторые приложения этим пользуются. А о том, чтобы запустить инсталлятор DirectX'а (правда, как правило, лежащий рядом на диске) и напоминать как-то глупо, чуть ни каждая вторая игра так ставится.

AlexM ★★★★★ ()
Ответ на: комментарий от wfrr

> Бугага, надо сразу говорить «Да оставит одежду всяк сюда входящий, и одаст жопу на растерзание опенсурсу». Я уже пиал что в венде умудряются обходится без такого изврата.

Пусть Red Hat, IBM, Google и прочие решают - нужна ли им ОС с такими свойствами. У них нет такой попаболи по этому поводу.

Я и сам сторонник того, что софт должен быть совместим между дистрами различных производителей. На практике это часто оказывается так, но увы не всегда. Однако удержание совместимости драйверов... не уверен что это такая прям катастрофа.

Кто будет решать - когда и сколько держать стабильным внутренее API?

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

Кто будет решать - когда и сколько держать стабильным внутренее API?

Базар, как показывает практика он может догорится, но как известно разработчики получают оргазм от кодинга а не наворачивания воркэраундов для совместимости, потмоу я базар я не верю.

wfrr ★★☆ ()
Ответ на: комментарий от tailgunner

> Кто и какие профиты получит - тоже непонятно.

Ну как «какие профиты». Потребительская лояльность - главный профит. Другое дело, что для нашей экосистемы потребительский профит не является главным приоритетом (или, по крайней мере, не являлся до недавних пор). У нас (в Опен/Фри Софтвэ) из потребителей старались сделать соучастников. И вот если *эта* попытка провалилась, то тогда да, «линукс обречён».

Безумные скунсы всегда найдут, к чему до*баться.

«Забей, Сеня».

AlexM ★★★★★ ()

Пробовал я юзать этот Songbird. По моим общим впечатлениям, редкостное говно, не браузер нормальный, не плеер, не рыба не мясо короче.

unixnik ★★★★★ ()

Ну и хрен бы с ним. Не могу оценить саму программу (на мой вкус вещь из разряда «из пушки по воробьям»), но в *nix она все равно толком не прижилась

NoMad ★★ ()
Ответ на: комментарий от wfrr

Уважаемый, не шлангуйте. Индусам нужен быстрый результат - возможность найти программу, а не ваши задроства с подсчетом шагов по поиску библиотеки и криком «Ааа на один больше чем обещали!!!» в ответ на заявление о том что в линуксе вообще никак..

//fixed

shty ★★★★★ ()
Ответ на: комментарий от wfrr

Хотел спросить у белочки, что говорить тете бухгалтеру, почему ее любимая 1С 7.7 не работает на стабильной и обратно совместимой Вин7, и почему нет нормальных драйверов для Audigy 2 SE, в которых работают не 2 канала, а все. И почему в тв-тюнере Avermedia 507 не работает пауза? И как быть со списком не совместимых программ на сайте Микрософта под Вин7? И почему все вышеперечисленное уже очень давно работает под линуксом?

slavun ()
Ответ на: комментарий от slavun

1С 7.7

почему все вышеперечисленное уже очень давно работает под линуксом?

Потому что шизофрения. Можете придти когда я протрезвею.

wfrr ★★☆ ()
Ответ на: комментарий от wfrr

А можно я еще немножко здесь побуду? То, что у белок шизофрения от недоедания и алкоголя это я знаю, мне бы ответы на свои вопросы услышать.

slavun ()
Ответ на: комментарий от wfrr

А ты отойди и не зацепит. Вообщем, как обычно, - взбздунуть и спрятаться в дупло. А так всех с Пасхой! А белке поскорей проспаться!

slavun ()
Ответ на: комментарий от wfrr

для линукса надо на диск положить драйвера для «всех минорных версий ядра»*«всех дистрибутивов»*«всех архитектур»

многие говорят тоньче, а надо говорить тоньчее :)

и много архитектур под которыми работае Ваш фап-фап №7 ?

shty ★★★★★ ()
Ответ на: комментарий от slavun

Уважаемый, лично ваш пук никого и так не зацепит, но своей глупостью и перманентными возлежаниями в луже вы портите интеллектуальную атмосферу лора.

wfrr ★★☆ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.